program Pgopher;







{%ToDo 'Pgopher.todo'}

uses
  Forms,
  SysUtils,
  StackDump,
  logunit in 'logunit.pas' {LogForm},
  SpectrumPlot in 'SpectrumPlot.pas',
  constfrm in 'constfrm.pas' {ConstantsForm},
  linefrm in 'linefrm.pas' {LineForm},
  Obs in 'Obs.pas',
  Fitter in 'Fitter.pas',
  Mixture in 'Mixture.pas',
  OvrlyFrm in 'OvrlyFrm.pas' {OverlayForm},
  Life in 'Life.pas',
  MNode in 'MNode.pas',
  RenForm in 'RenForm.pas' {RenameForm},
  stateinfo in 'stateinfo.pas' {StatesForm},
  ChildForm in 'ChildForm.pas',
  traninfo in 'traninfo.pas' {TransitionForm},
  levelfrm in 'levelfrm.pas' {LevelForm},
  SymT in 'SymT.pas',
  hunda in 'hunda.pas',
  OAsymT in 'OAsymT.pas',
  CommandLine in 'CommandLine.pas',
  ImportACDD in 'ImportACDD.pas',
  PgopherImport in 'PgopherImport.pas',
  DrvLoader in 'DrvLoader.pas',
  ExpPlot in 'ExpPlot.pas',
  MNodeColour in 'MNodeColour.pas',
  JDXLoader in 'JDXLoader.pas',
  Units in 'Units.pas',
  CheckOverlay in 'CheckOverlay.pas',
  PickDest in 'PickDest.pas' {PickDestForm},
  DatLoader in 'DatLoader.pas',
  QuantumNumber in 'QuantumNumber.pas',
  Main in 'Main.pas' {MainForm},
  ExpBitmap in 'ExpBitmap.pas',
  Overlay in 'Overlay.pas',
  JPLCat in 'JPLCat.pas',
  ImportCALPGM in 'ImportCALPGM.pas',
  Progress in 'Progress.pas' {ProgressForm},
  GraphRange in 'GraphRange.pas',
  Plate in 'Plate.pas',
  DRintensity in 'DRintensity.pas',
  LineExportOpt in 'LineExportOpt.pas' {LineExportOptions},
  ReadBinary in 'ReadBinary.pas' {BinaryImportDlg};

{$R *.res}

begin
  StackWatch(True);
  Application.Initialize;
  Application.Title := 'Pgopher';
  Application.HelpFile := 'pgopher.chm';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TConstantsForm, ConstantsForm);
  Application.CreateForm(TLineForm, LineForm);
  Application.CreateForm(TOverlayForm, OverlayForm);
  Application.CreateForm(TRenameForm, RenameForm);
  Application.CreateForm(TStatesForm, StatesForm);
  Application.CreateForm(TTransitionForm, TransitionForm);
  Application.CreateForm(TLevelForm, LevelForm);
  Application.CreateForm(TLogForm, LogForm);
  Application.CreateForm(TPickDestForm, PickDestForm);
  Application.CreateForm(TProgressForm, ProgressForm);
  Application.CreateForm(TLineExportOptions, LineExportOptions);
  Application.CreateForm(TBinaryImportDlg, BinaryImportDlg);
  HandleCommandLine;
  Application.Run;
end.
