unit Lapack;
{$I DFS.inc}
interface

uses f2c;
{$IFDEF FPC}
{$LINKLIB plapack}
{$LINKLIB pblas}
{$ELSE}
{$LINK lapack.pobj}
{$ENDIF}

function dsytrd_(var uplo: Char; var n: Integer; var a: Double; var lda: Integer; var d__: Double; var e: Double; var tau: Double; var work: Double; var lwork: Integer; var info: Integer; uplo_len: Integer): Integer; cdecl; external;
function dlaebz_(var ijob: Integer; var nitmax: Integer; var n: Integer; var mmax: Integer; var minp: Integer; var nbmin: Integer; var abstol: Double; var reltol: Double; var pivmin: Double; var d__: Double; var e: Double; var e2: Double; var nval: Integer; var ab: Double; var c__: Double; var mout: Integer; var nab: Integer; var work: Double; var iwork: Integer; var info: Integer): Integer; cdecl; external;
function dlagtf_(var n: Integer; var a: Double; var lambda: Double; var b: Double; var c__: Double; var tol: Double; var d__: Double; var in__: Integer; var info: Integer): Integer; cdecl; external;
function dlagts_(var job: Integer; var n: Integer; var a: Double; var b: Double; var c__: Double; var d__: Double; var in__: Integer; var y: Double; var tol: Double; var info: Integer): Integer; cdecl; external;
function dlamch_(var cmach: Char; cmach_len: Integer): Double; cdecl; external;
function dlamc1_(var beta: Integer; var t: Integer; var rnd: LogBool; var ieee1: LogBool): Integer; cdecl; external;
function dlamc2_(var beta: Integer; var t: Integer; var rnd: LogBool; var eps: Double; var emin: Integer; var rmin: Double; var emax: Integer; var rmax: Double): Integer; cdecl; external;
function dlamc4_(var emin: Integer; var start: Double; var base: Integer): Integer; cdecl; external;
function dlamc5_(var beta: Integer; var p: Integer; var emin: Integer; var ieee: LogBool; var emax: Integer; var rmax: Double): Integer; cdecl; external;
function dlanst_(var norm: Char; var n: Integer; var d__: Double; var e: Double; norm_len: Integer): Double; cdecl; external;
function dlansy_(var norm: Char; var uplo: Char; var n: Integer; var a: Double; var lda: Integer; var work: Double; norm_len: Integer; uplo_len: Integer): Double; cdecl; external;
function dlapy2_(var x: Double; var y: Double): Double; cdecl; external;
function dlar1v_(var n: Integer; var b1: Integer; var bn: Integer; var sigma: Double; var d__: Double; var l: Double; var ld: Double; var lld: Double; var gersch: Double; var z__: Double; var ztz: Double; var mingma: Double; var r__: Integer; var isuppz: Integer; var work: Double): Integer; cdecl; external;
function dlarf_(var side: Char; var m: Integer; var n: Integer; var v: Double; var incv: Integer; var tau: Double; var c__: Double; var ldc: Integer; var work: Double; side_len: Integer): Integer; cdecl; external;
function dlarfb_(var side: Char; var trans: Char; var direct: Char; var storev: Char; var m: Integer; var n: Integer; var k: Integer; var v: Double; var ldv: Integer; var t: Double; var ldt: Integer; var c__: Double; var ldc: Integer; var work: Double; var ldwork: Integer; side_len: Integer; trans_len: Integer; direct_len: Integer; storev_len: Integer): Integer; cdecl; external;
function dlarfg_(var n: Integer; var alpha: Double; var x: Double; var incx: Integer; var tau: Double): Integer; cdecl; external;
function dlarft_(var direct: Char; var storev: Char; var n: Integer; var k: Integer; var v: Double; var ldv: Integer; var tau: Double; var t: Double; var ldt: Integer; direct_len: Integer; storev_len: Integer): Integer; cdecl; external;
function dlarnv_(var idist: Integer; var iseed: Integer; var n: Integer; var x: Double): Integer; cdecl; external;
function dlarrb_(var n: Integer; var d__: Double; var l: Double; var ld: Double; var lld: Double; var ifirst: Integer; var ilast: Integer; var sigma: Double; var reltol: Double; var w: Double; var wgap: Double; var werr: Double; var work: Double; var iwork: Integer; var info: Integer): Integer; cdecl; external;
function dlarre_(var n: Integer; var d__: Double; var e: Double; var tol: Double; var nsplit: Integer; var isplit: Integer; var m: Integer; var w: Double; var woff: Double; var gersch: Double; var work: Double; var info: Integer): Integer; cdecl; external;
function dlarrf_(var n: Integer; var d__: Double; var l: Double; var ld: Double; var lld: Double; var ifirst: Integer; var ilast: Integer; var w: Double; var dplus: Double; var lplus: Double; var work: Double; var iwork: Integer; var info: Integer): Integer; cdecl; external;
function dlarrv_(var n: Integer; var d__: Double; var l: Double; var isplit: Integer; var m: Integer; var w: Double; var iblock: Integer; var gersch: Double; var tol: Double; var z__: Double; var ldz: Integer; var isuppz: Integer; var work: Double; var iwork: Integer; var info: Integer): Integer; cdecl; external;
function dlaruv_(var iseed: Integer; var n: Integer; var x: Double): Integer; cdecl; external;
function dlascl_(var type__: Char; var kl: Integer; var ku: Integer; var cfrom: Double; var cto: Double; var m: Integer; var n: Integer; var a: Double; var lda: Integer; var info: Integer; type_len: Integer): Integer; cdecl; external;
function dlaset_(var uplo: Char; var m: Integer; var n: Integer; var alpha: Double; var beta: Double; var a: Double; var lda: Integer; uplo_len: Integer): Integer; cdecl; external;
function dlasq2_(var n: Integer; var z__: Double; var info: Integer): Integer; cdecl; external;
function dlasq3_(var i0: Integer; var n0: Integer; var z__: Double; var pp: Integer; var dmin__: Double; var sigma: Double; var desig: Double; var qmax: Double; var nfail: Integer; var iter: Integer; var ndiv: Integer; var ieee: LogBool): Integer; cdecl; external;
function dlasq4_(var i0: Integer; var n0: Integer; var z__: Double; var pp: Integer; var n0in: Integer; var dmin__: Double; var dmin1: Double; var dmin2: Double; var dn: Double; var dn1: Double; var dn2: Double; var tau: Double; var ttype: Integer): Integer; cdecl; external;
function dlasq5_(var i0: Integer; var n0: Integer; var z__: Double; var pp: Integer; var tau: Double; var dmin__: Double; var dmin1: Double; var dmin2: Double; var dn: Double; var dnm1: Double; var dnm2: Double; var ieee: LogBool): Integer; cdecl; external;
function dlasq6_(var i0: Integer; var n0: Integer; var z__: Double; var pp: Integer; var dmin__: Double; var dmin1: Double; var dmin2: Double; var dn: Double; var dnm1: Double; var dnm2: Double): Integer; cdecl; external;
function dlasrt_(var id: Char; var n: Integer; var d__: Double; var info: Integer; id_len: Integer): Integer; cdecl; external;
function dlassq_(var n: Integer; var x: Double; var incx: Integer; var scale: Double; var sumsq: Double): Integer; cdecl; external;
function dlatrd_(var uplo: Char; var n: Integer; var nb: Integer; var a: Double; var lda: Integer; var e: Double; var tau: Double; var w: Double; var ldw: Integer; uplo_len: Integer): Integer; cdecl; external;
function dorm2l_(var side: Char; var trans: Char; var m: Integer; var n: Integer; var k: Integer; var a: Double; var lda: Integer; var tau: Double; var c__: Double; var ldc: Integer; var work: Double; var info: Integer; side_len: Integer; trans_len: Integer): Integer; cdecl; external;
function dorm2r_(var side: Char; var trans: Char; var m: Integer; var n: Integer; var k: Integer; var a: Double; var lda: Integer; var tau: Double; var c__: Double; var ldc: Integer; var work: Double; var info: Integer; side_len: Integer; trans_len: Integer): Integer; cdecl; external;
function dormql_(var side: Char; var trans: Char; var m: Integer; var n: Integer; var k: Integer; var a: Double; var lda: Integer; var tau: Double; var c__: Double; var ldc: Integer; var work: Double; var lwork: Integer; var info: Integer; side_len: Integer; trans_len: Integer): Integer; cdecl; external;
function dormqr_(var side: Char; var trans: Char; var m: Integer; var n: Integer; var k: Integer; var a: Double; var lda: Integer; var tau: Double; var c__: Double; var ldc: Integer; var work: Double; var lwork: Integer; var info: Integer; side_len: Integer; trans_len: Integer): Integer; cdecl; external;
function dormtr_(var side: Char; var uplo: Char; var trans: Char; var m: Integer; var n: Integer; var a: Double; var lda: Integer; var tau: Double; var c__: Double; var ldc: Integer; var work: Double; var lwork: Integer; var info: Integer; side_len: Integer; uplo_len: Integer; trans_len: Integer): Integer; cdecl; external;
function dstebz_(var range: Char; var order: Char; var n: Integer; var vl: Double; var vu: Double; var il: Integer; var iu: Integer; var abstol: Double; var d__: Double; var e: Double; var m: Integer; var nsplit: Integer; var w: Double; var iblock: Integer; var isplit: Integer; var work: Double; var iwork: Integer; var info: Integer; range_len: Integer; order_len: Integer): Integer; cdecl; external;
function dstegr_(var jobz: Char; var range: Char; var n: Integer; var d__: Double; var e: Double; var vl: Double; var vu: Double; var il: Integer; var iu: Integer; var abstol: Double; var m: Integer; var w: Double; var z__: Double; var ldz: Integer; var isuppz: Integer; var work: Double; var lwork: Integer; var iwork: Integer; var liwork: Integer; var info: Integer; jobz_len: Integer; range_len: Integer): Integer; cdecl; external;
function dstein_(var n: Integer; var d__: Double; var e: Double; var m: Integer; var w: Double; var iblock: Integer; var isplit: Integer; var z__: Double; var ldz: Integer; var work: Double; var iwork: Integer; var ifail: Integer; var info: Integer): Integer; cdecl; external;
function dsterf_(var n: Integer; var d__: Double; var e: Double; var info: Integer): Integer; cdecl; external;
function dsyevr_(var jobz: Char; var range: Char; var uplo: Char; var n: Integer; var a: Double; var lda: Integer; var vl: Double; var vu: Double; var il: Integer; var iu: Integer; var abstol: Double; var m: Integer; var w: Double; var z__: Double; var ldz: Integer; var isuppz: Integer; var work: Double; var lwork: Integer; var iwork: Integer; var liwork: Integer; var info: Integer; jobz_len: Integer; range_len: Integer; uplo_len: Integer): Integer; cdecl; external;
function dsytd2_(var uplo: Char; var n: Integer; var a: Double; var lda: Integer; var d__: Double; var e: Double; var tau: Double; var info: Integer; uplo_len: Integer): Integer; cdecl; external;
function dlae2_(var a: Double; var b: Double; var c__: Double; var rt1: Double; var rt2: Double): Integer; cdecl; external;
function ilaenv_(var ispec: Integer; var name__: Char; var opts: Char; var n1: Integer; var n2: Integer; var n3: Integer; var n4: Integer; name_len: Integer; opts_len: Integer): Integer; cdecl; external;
function ieeeck_(var ispec: Integer; var zero: Single; var one: Single): Integer; cdecl; external;

implementation

{$IFDEF MSWINDOWS}
uses Blas;
{$ENDIF}

end.


